Update a lead

Update a lead by id.

op is the operation to be performed, and path specifies what resource to patch.

Use the path leads/0/fieldName to update fields that are user-entered for this resource, i.e. name, description, etc.

Use the path leads/0/links/fieldName to update this lead's links to other resources within Nutshell, i.e. contacts, owner, tags, etc. When performing an 'add', include a /- at the end of the path, i.e. leads/0/links/fieldName/- .

When using the remove operation, include the id at the end of the path (i.e. leads/0/links/contacts/1-contacts) - no need to include a value.

To update the value of the lead with a replace operation, use the path leads/0/manualValue with a value of the amount as a string, or leads/0/valueToProductMode without a value to set the lead's value back to the sum of products.

Path Params
string
required

Lead ID

Body Params
Responses
204

No Content

400

No patches sent

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!